public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Dave Dykstra <2129743+DrDaveD@users.noreply.github.com>
To: git-commits@fedoraproject.org
Subject: [rpms/apptainer] migrate-spdx: skip compile/install when dependency tarball is missing
Date: Mon, 03 Aug 2026 17:53:37 GMT	[thread overview]
Message-ID: <178577961761.1.3280662049069834665.rpms-apptainer-038f11b0c2ab@fedoraproject.org> (raw)

A new commit has been pushed.

Repo   : rpms/apptainer
Branch : migrate-spdx
Commit : 038f11b0c2ab9f3369628b358d315ff642aa704d
Author : Dave Dykstra <2129743+DrDaveD@users.noreply.github.com>
Date   : 2026-03-13T11:07:59-05:00
Stats  : +35/-0 in 2 file(s)
URL    : https://src.fedoraproject.org/rpms/apptainer/c/038f11b0c2ab9f3369628b358d315ff642aa704d?branch=migrate-spdx

Log:
skip compile/install when dependency tarball is missing

---
diff --git a/apptainer.spec b/apptainer.spec
index 211d3ff..b104a64 100644
--- a/apptainer.spec
+++ b/apptainer.spec
@@ -52,6 +52,7 @@ Release: 1%{?dist}
 License: LicenseRef-Callaway-BSD AND BSD-3-Clause-LBNL AND Apache-2.0
 URL: https://apptainer.org
 Source: https://github.com/%{name}/%{name}/releases/download/v%{package_version}/%{name}-%{package_version}.tar.gz
+Patch1: skip-missing-dependencies.patch
 
 %if "%{?gocryptfs_version}" != ""
 # In order to build offline, this source tarball needs to have the "vendor"
@@ -352,6 +353,7 @@ Provides the optional setuid-root portion of Apptainer.
 
 %prep
 %setup -n %{name}-%{package_version}
+%patch1 -p1
 # don't need to setup dependent source packages and patches because
 # that is done by the compile-dependencies script
 %if "%{?PRoot_version}" == ""

diff --git a/skip-missing-dependencies.patch b/skip-missing-dependencies.patch
new file mode 100644
index 0000000..f561b45
--- /dev/null
+++ b/skip-missing-dependencies.patch
@@ -0,0 +1,33 @@
+diff --git a/scripts/compile-dependencies b/scripts/compile-dependencies
+index 1c06f7c9a..5899d27da 100755
+--- a/scripts/compile-dependencies
++++ b/scripts/compile-dependencies
+@@ -19,10 +19,10 @@ fi
+ 
+ set -ex
+ for PKG in squashfs-tools squashfuse e2fsprogs fuse-overlayfs gocryptfs PRoot; do
+-    TGZ="$(echo $SRC/${PKG}-*.tar.gz)"
++    TGZ="$(echo $SRC/${PKG}[_-]*.tar.gz)"
+     if [ ! -f "$TGZ" ]; then
+-	echo "$PKG-*.tar.gz not found in $SRC" >&2
+-	exit 1
++	echo "$PKG-*.tar.gz not found in $SRC, skipping" >&2
++	continue
+     fi
+     DIR=${TGZ%.tar.gz}
+     DIR=${DIR/*\//}
+diff --git a/scripts/install-dependencies b/scripts/install-dependencies
+index 72f0a5d36..87b6c7ca9 100755
+--- a/scripts/install-dependencies
++++ b/scripts/install-dependencies
+@@ -35,8 +35,8 @@ fi
+ set -ex
+ for CMD in squashfs-tools-*/squashfs-tools/{mksquashfs,unsquashfs} squashfuse-*/squashfuse_ll e2fsprogs-*/fuse2fs fuse-overlayfs-*/fuse-overlayfs gocryptfs-*/gocryptfs PRoot-*/src/proot; do
+     if [ ! -f "$CMD" ]; then
+-	echo "$CMD not found" >&2
+-	exit 1
++	echo "$CMD not found, skipping" >&2
++	continue
+     fi
+     cp -f $CMD $DIR
+ done

                 reply	other threads:[~2026-08-03 17:53 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178577961761.1.3280662049069834665.rpms-apptainer-038f11b0c2ab@fedoraproject.org \
    --to=2129743+drdaved@users.noreply.github.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox